Download it now!
Bug 98819 - MACOSX Crash when click "input line" on background window
Summary: MACOSX Crash when click "input line" on background window
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2016-03-22 09:47 UTC by Kamei
Modified: 2017-12-11 07:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Libre Office crashes. (2.94 MB, video/quicktime)
2016-03-23 01:54 UTC, Kamei
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamei 2016-03-22 09:47:26 UTC
Procedure:
1. create two new spread sheets.
2. double click "input line" bar on background window directly
3. double click "input line" bar on background window directly

then crash LibreOffice.

I checked this on Mac OS X 10.9.5
and I cannot confirm this on Windows 7 Pro(64bit).
Please confirm other environment.
Comment 1 Kamei 2016-03-23 01:54:41 UTC
Created attachment 123783 [details]
Libre Office crashes.
Comment 2 Buovjaga 2016-04-03 13:04:06 UTC
Reproduced. It took a bit of clicking. Note for testers: it is important to double click on the window that is in the background.

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 4; OS Version: Mac OS X 10.11.4; UI Render: default; 
Locale: en-US (en.UTF-8)
Comment 3 Kamei 2016-07-12 06:09:57 UTC
Reproduced on 5.1.4.2

Version: 5.1.4.2
Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU Threads: 8; OS Version: Mac OS X 10.9.5; UI Render: GL; 
Locale: ja-JP (ja.UTF-8)
Comment 4 Justin L 2016-12-26 12:19:43 UTC
Unable to reproduce on Ubuntu x64
Comment 5 Kamei 2017-02-23 07:21:06 UTC
Reproduced on 5.3.0.3


Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Mac OS X 10.11.6; UI Render: GL; Layout Engine: new; 
Locale: ja-JP (ja.UTF-8); Calc: group
Comment 6 Jan Holesovsky 2017-03-01 14:30:15 UTC
Backtrace:

* thread #1: tid = 0xf1a2, 0x00000001054334bf libeditenglo.dylib`rtl::OUString::getLength(this=0x000060000071c680) const + 15 at ustring.hxx:643, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
    frame #0: 0x00000001054334bf libeditenglo.dylib`rtl::OUString::getLength(this=0x000060000071c680) const + 15 at ustring.hxx:643
   640 	      @return   the length of the sequence of characters represented by this
   641 	                object.
   642 	    */
-> 643 	    sal_Int32 getLength() const { return pData->length; }
   644 	
   645 	    /**
   646 	      Checks if a string is empty.
(lldb) bt
* thread #1: tid = 0xf1a2, 0x00000001054334bf libeditenglo.dylib`rtl::OUString::getLength(this=0x000060000071c680) const + 15 at ustring.hxx:643, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
  * frame #0: 0x00000001054334bf libeditenglo.dylib`rtl::OUString::getLength(this=0x000060000071c680) const + 15 at ustring.hxx:643
    frame #1: 0x0000000105482aa5 libeditenglo.dylib`ContentNode::Len(this=0x000060000071c680) const + 21 at editdoc.cxx:1663
    frame #2: 0x000000010554474f libeditenglo.dylib`ImpEditEngine::CursorMoved(this=0x00007fd9f632ae00, pPrevNode=0x000060000071c680) + 63 at impedit2.cxx:695
    frame #3: 0x00000001054c0d3c libeditenglo.dylib`EditEngine::CursorMoved(this=0x0000608000872700, pPrevNode=0x000060000071c680) + 60 at editeng.cxx:635
    frame #4: 0x00000001054fd7fb libeditenglo.dylib`EditView::SetSelection(this=0x0000618000412f70, rESel=0x00007fff5b8737f8) + 267 at editview.cxx:227
    frame #5: 0x00000001577fb5d7 libsclo.dylib`lcl_SetTopSelection(pEditView=0x0000618000412f70, rSel=0x00007fff5b8737f8) + 471 at inputhdl.cxx:2214
    frame #6: 0x00000001577faece libsclo.dylib`ScInputHandler::SyncViews(this=0x00007fd9fb261380, pSourceView=0x0000610000417e90) + 222 at inputhdl.cxx:2233
    frame #7: 0x00000001578004ff libsclo.dylib`ScInputHandler::InputSelection(this=0x00007fd9fb261380, pView=0x0000610000417e90) + 47 at inputhdl.cxx:3799
    frame #8: 0x0000000157833c31 libsclo.dylib`ScModule::InputSelection(this=0x00007fd9fb241b90, pView=0x0000610000417e90) + 65 at scmod.cxx:1432
    frame #9: 0x0000000157815bc7 libsclo.dylib`ScTextWnd::MouseButtonUp(this=0x00007fd9fb28a290, rMEvt=0x00007fff5b874328) + 183 at inputwin.cxx:1336
    frame #10: 0x000000010c16db08 libvcllo.dylib`ImplHandleMouseEvent(xWindow=0x00007fff5b874580, nSVEvent=MOUSEBUTTONUP, bMouseLeave=false, nX=307, nY=91, nMsgTime=16024576, nCode=1, nMode=768) + 12808 at winproc.cxx:711
    frame #11: 0x000000010c172c1f libvcllo.dylib`ImplHandleSalMouseButtonUp(pWindow=0x00007fd9f5eb2a50, pEvent=0x00007fff5b874eb0) + 159 at winproc.cxx:2018
    frame #12: 0x000000010c171488 libvcllo.dylib`ImplWindowFrameProc(_pWindow=0x00007fd9f5eb2a50, nEvent=MouseButtonUp, pEvent=0x00007fff5b874eb0) + 1256 at winproc.cxx:2352
    frame #13: 0x000000010c86ec3e libvcllo.dylib`SalFrame::CallCallback(this=0x00007fd9f5e98c10, nEvent=MouseButtonUp, pEvent=0x00007fff5b874eb0) const + 78 at salframe.hxx:276
    frame #14: 0x000000010c9d02ce libvcllo.dylib`::-[SalFrameView sendMouseEventToFrame:button:eventtype:](self=0x00007fd9f5eb1460, _cmd="sendMouseEventToFrame:button:eventtype:", pEvent=0x00006180005343c0, nButton=1, nEvent=MouseButtonUp) + 1374 at salframeview.mm:645
    frame #15: 0x000000010c9d0742 libvcllo.dylib`::-[SalFrameView mouseUp:](self=0x00007fd9f5eb1460, _cmd="mouseUp:", pEvent=0x00006180005343c0) + 82 at salframeview.mm:675
    frame #16: 0x00007fff7f3e7c92 AppKit`-[NSWindow(NSEventRouting) _reallySendEvent:isDelayedEvent:] + 1544
    frame #17: 0x00007fff7f3e72be AppKit`-[NSWindow(NSEventRouting) sendEvent:] + 541
    frame #18: 0x00007fff7f26fbf5 AppKit`-[NSApplication(NSEvent) sendEvent:] + 1145
    frame #19: 0x000000010c9b73d5 libvcllo.dylib`::-[VCL_NSApplication sendEvent:](self=0x0000610000715570, _cmd="sendEvent:", pEvent=0x00006180005343c0) + 2709 at vclnsapp.mm:240
    frame #20: 0x000000010c86de5f libvcllo.dylib`AquaSalInstance::DoYield(this=0x00006000000a1740, bWait=false, bHandleAllCurrentEvents=false, nReleased=0) + 1071 at salinst.cxx:633
    frame #21: 0x000000010c70a7c0 libvcllo.dylib`ImplYield(i_bWait=false, i_bAllEvents=false, nReleased=0) + 1776 at svapp.cxx:502
    frame #22: 0x000000010c70a088 libvcllo.dylib`Application::Yield() + 24 at svapp.cxx:557
    frame #23: 0x000000010c709ffe libvcllo.dylib`Application::Execute() + 478 at svapp.cxx:466
    frame #24: 0x00000001044d3949 libsofficeapp.dylib`desktop::Desktop::DoExecute() + 9 at app.cxx:1359
    frame #25: 0x00000001044d6b1b libsofficeapp.dylib`desktop::Desktop::Main(this=0x00007fff5b877a48) + 12747 at app.cxx:1685
    frame #26: 0x000000010c719296 libvcllo.dylib`ImplSVMain() + 214 at svmain.cxx:185
    frame #27: 0x000000010c86d2c9 libvcllo.dylib`AquaSalInstance::handleAppDefinedEvent(pEvent=0x000061000012b4a0) + 249 at salinst.cxx:469
    frame #28: 0x000000010c9b6990 libvcllo.dylib`::-[VCL_NSApplication sendEvent:](self=0x0000610000715570, _cmd="sendEvent:", pEvent=0x000061000012b4a0) + 80 at vclnsapp.mm:94
    frame #29: 0x00007fff7eaebf81 AppKit`-[NSApplication run] + 1002
    frame #30: 0x00007fff7eab6850 AppKit`NSApplicationMain + 1237
    frame #31: 0x000000010c86b79a libvcllo.dylib`ImplSVMainHook(pnInit=0x00007fff5b8779c4) + 522 at salinst.cxx:215
    frame #32: 0x000000010c71ad5c libvcllo.dylib`SVMain() + 44 at svmain.cxx:220
    frame #33: 0x000000010454c5c6 libsofficeapp.dylib`::soffice_main() + 534 at sofficemain.cxx:166
    frame #34: 0x0000000104388efd soffice`sal_main + 13 at main.c:48
    frame #35: 0x0000000104388ed7 soffice`main(argc=1, argv=0x00007fff5b877b38) + 39 at main.c:47
    frame #36: 0x00007fff965c3255 libdyld.dylib`start + 1
    frame #37: 0x00007fff965c3255 libdyld.dylib`start + 1
Comment 7 Kamei 2017-12-06 07:15:56 UTC
still reproduced.

Version: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 8; OS: Mac OS X 10.11.6; UI render: GL; 
Locale: ja-JP (ja.UTF-8); Calc: group
Comment 8 Xisco Faulí 2017-12-08 20:27:43 UTC
I can reproduce it in

Version: 5.4.0.2
Build ID: 2b906d450a44f2bbe506dcd22c51b3fa11dc65fd
CPU threads: 8; OS: Mac OS X 10.12.6; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group

but I can't in

Version: 6.0.0.0.alpha1+
Build ID: 7a1c21e53fc4733a4bb52282ce0098fcc085ab0e
CPU threads: 8; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-11-23_06:01:54
Locale: en-US (en_ES.UTF-8); Calc: group threaded

Closing as RESOLVED WORKSFORME
Comment 9 Xisco Faulí 2017-12-08 20:30:41 UTC
I'm wondering if it was fixed by e4d1551697406bab0e9973bfa8ac012c48ff8eea ( bug 113591 )

Could anybody give it a try with beta2 from http://dev-builds.libreoffice.org/pre-releases/mac/x86_64/?C=M&O=D ?
Comment 10 Kamei 2017-12-11 07:09:45 UTC
I confirmed this issue was fixed on LibreOffice Beta 2.

Version: 6.0.0.0.beta2
Build ID: 13edaaa12f25de343fce136064e27da66c1c4fa4
CPU threads: 8; OS: Mac OS X 10.11.6; UI render: default; 
Locale: ja-JP (ja.UTF-8); Calc: group threaded

Thanks to Developers Team with all of my heart!!